---
search:
  tags:
    - Relations
    - GET
seo:
  description: >-
    Retrieve a specific relation type by its ID. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/relations/types/{type_id} endpoint in the
    Management API.
sidebar:
  label: Get a relation type
  badge: GET
title: Get a relation type
type: openapi-operation
---
Retrieve a specific relation type by its ID

`GET /api/v1/{team_slug}/{app_slug}/relations/types/{type_id}`

**Responses**

- `200` — Relation types
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `422` — Invalid request and not parsable by backend
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "id": "string",
    "title": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
